TUCAN(1)

NAME
tucan - download and upload manager for hosting sites

SYNOPSIS
tucan [OPTIONS]

DESCRIPTION
Tucan is a free and open source application designed for automatic management of downloads and uploads at hosting sites like:

    rapidshare.com, megaupload.com, gigasize.com, mediafire.com, 4shared.com, sendspace.com, zshare.net, filefactory.com, easy-share.com, badongo.com, depositfiles.com, hotfile.com, ...

OPTIONS
Tucan can be used through a Graphical User Interface (GUI) or through a Command Line Interface (CLI). Running Tucan without options makes it starts its GUI but with an option makes it starts its CLI.

The following options are to use Tucan through its CLI.

Generic Program Information
    -h, --help
        Print a usage message briefly summarizing these command-line options and then exit.

    -V, --version
        Print the version number of tucan to the standard output. This version number should be included in all bug reports.

Configuration Options
    -w TYPE, --wizard=TYPE
        Configure some Tucan options. Available TYPEs:
            - accounts configure premium accounts.
            - services enable/disable services.
            - updates launch the Update Manager.

Common Options
    -c, --cli
        command line interface.

    -d, --daemon
        no interaction interface.

    -v, --verbose
        print all log to stdout.

Download Options
    -i FILE, --input-links=FILE
        import links from FILE.

        The FILE format is pretty simple:
            - Plain text.
            - A link per line.
            - Lines beginning with # are ignored (are treated as comments).

FILES
$HOME/.tucan/tucan.conf
    Tucan settings.

$HOME/.tucan/tucan.log
    Tucan log.

EXAMPLES
Update services:
tucan --wizard updates
    or
tucan -w updates

Enable (or Disable) services:
tucan --wizard services
    or
tucan -w services

    and follow the instructions on screen.

Configure premium accounts:
tucan --wizard accounts
    or
tucan -w accounts

    and follow the instructions on screen.

Simple download with CLI (see above for FILE format):
tucan --cli --input-links file.txt
    or
tucan -c -i file.txt

Simple download without interaction interface (see above for FILE format):
tucan --daemon --input-links file.txt
    or
tucan -d -i file.txt

SEE ALSO
<http://tucaneando.com/>
<http://doc.tucaneando.com/>
<http://blog.tucaneando.com/>
<http://forums.tucaneando.com/>
<https://forja.rediris.es/projects/cusl3-tucan/>

COPYRIGHT
(C) 2008-2009 The Tucan Project.